#ifdef MESSAGES_EXTERN
#define MSG(varname, text) extern char *MSG_##varname
#else
#define MSG(varname, text) char *MSG_##varname = text
#endif

#define USAGE "Skladnia wywolania: %s [--wide-chars] " \
  "{SCIEZKA_PLIKU_KONFIGURACYJNEGO}"

MSG(MALLOC_FAIL, "Za malo pamieci");
MSG(CONF_PATH_EXPAND_FAIL, "Bledna sciezka pliku konfiguracyjnego: %s");
MSG(CONF_NOT_EXIST, "Podany plik konfiguracyjny nie istnieje: %s");
MSG(CONF_NOT_READABLE, "Brak uprawnien do odczytu pliku konfiguracyjnego: %s");
MSG(INVALID_INI_FILE, "Blad ladowania konfiguracji, "
    "sprawdz poprawnosc skladni pliku: %s");
MSG(BAD_VALUE, "Niepoprawna wartosc zmiennej %s, oczekiwane: %s");
MSG(BAD_VAR, "Nie zdefiniowano poprawnej zmiennej %s");
MSG(BAD_PORT_VAR, "Nie zdefiniowano poprawnego portu %s (0 - 65535)");
MSG(NO_SECTION, "Nie podano %s (sekcja %s)");
MSG(BAD_DEST_DIR_END, "Sciezka podanego katalogu docelowego "
    "nie jest zakonczona znakiem '\\'");
MSG(DEST_DIR_NOT_EXIST, "Podany katalog docelowy nie istnieje");
MSG(DEST_DIR_NOT_WRITEABLE, "Brak uprawnien do zapisu w katalogu docelowym");
MSG(ATTACH_NOT_EXIST, "Plik zalacznika nie istnieje: %s");
MSG(NO_ROOT_CA_STORE, "Nie udalo sie pozyskac zainstalowanych certyfikatow");
MSG(BAD_ARGS_NUM, "Zle argumenty programu. \r\n" USAGE);
MSG(MKDIR_FAIL, "Nie udalo sie utworzyc katalogu: %s");
MSG(FILE_SAVE_FAIL, "Nie udalo sie zapisac do pliku: %s");
MSG(BAD_AUTHENTICATION, "Nie udalo sie uwierzytelnic przed serwerem");
MSG(BAD_CERT_FORMAT, "Otrzymano certyfikat w niewspieranym formacie");
MSG(CERT_VERIFICATION_FAIL, "Blad weryfikacji certyfikatu, "
    "system lub siec moze byc celem ataku");
MSG(UNKNOWN_CERT, "Brak certyfikatu w bazie, weryfikacja serwera niemozliwa");
MSG(CERT_EXPIRED, "Waznosc certyfikatu uzywanego przez serwer wygasla");
MSG(CERT_NOT_YET_VALID, "Certyfikat uzywany przez serwer "
    "jeszcze nie zaczal obowiazywac");
